Subject: bug#18764: 24.4; electric-indent in *scratch* signals an error

From: Noam Postavsky <[email-masked]>
Date: Sat, 16 Jun 2018 09:48:18 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 14 Jun 2018 22:34:35 -0400
>> 
>> Not sure exactly what to do about this though.  Maybe parse-partial-sexp
>> should (optionally?) signal an error when the curlevel stack overflows?
>
> Why do we produce an error instead of just inserting the character?

I don't quite follow; the newline character has already been inserted as
far as I can tell.  Then we signal an error while trying to indent.